Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence
Enum AutoDetachType

    java.lang.Object
      java.lang.Enum<AutoDetachType>
          org.apache.openjpa.persistence.AutoDetachType

All Implemented Interfaces:
  Serializable, Comparable<AutoDetachType>

    public enum AutoDetachType

extends Enum<AutoDetachType>

The possible settings for the auto-detach behavior of an `OpenJPAEntityManager`.

Since:
  1.0.0

Enum Constant Summary
`CLOSE`
`COMMIT`
`NON_TRANSACTIONAL_READ`
`NONE`
`ROLLBACK`

Method Summary
`static int` | `fromEnumSet(EnumSet<AutoDetachType> types)`
`static EnumSet<AutoDetachType>` | `toEnumSet(int autoDetach)`
`static AutoDetachType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AutoDetachType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final AutoDetachType NONE

### CLOSE

    public static final AutoDetachType CLOSE

### COMMIT

    public static final AutoDetachType COMMIT

### NON_TRANSACTIONAL_READ

    public static final AutoDetachType NON_TRANSACTIONAL_READ

### ROLLBACK

    public static final AutoDetachType ROLLBACK

Method Detail

### values

    public static AutoDetachType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AutoDetachType c : AutoDetachType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AutoDetachType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toEnumSet

    public static EnumSet<AutoDetachType> toEnumSet(int autoDetach)

### fromEnumSet

    public static int fromEnumSet(EnumSet<AutoDetachType> types)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.